/*
    qtZenOscillo : Software for using DSO-2020 usb scope under Linux
    Copyright (C) 2015 Olivier Poitevin

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    Contact : code@zener.fr

*/

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "scopeview.h"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void on_pushButtMainState_clicked();

    void on_checkBoxCH1State_toggled(bool checked);

    void on_checkBoxCH2State_toggled(bool checked);

    void on_ComboSpeed_currentIndexChanged(int index);

    void on_comboVertCH1_currentIndexChanged(int index);

    void on_comboVertCH2_currentIndexChanged(int index);

    void on_checkBoxFastMode_toggled(bool checked);

    void on_radioButtonTrigCh1_toggled(bool checked);

    void on_radioButtonTrigCh2_toggled(bool checked);

    void on_horizontalSliderTrigVal_valueChanged(int value);

    void on_checkBoxFallingEdge_toggled(bool checked);

    void on_checkBoxFilter_toggled(bool checked);

    void on_horizontalSliderOffsetCH1_valueChanged(int value);

    void on_horizontalSliderOffsetCH2_valueChanged(int value);

private:
    Ui::MainWindow *ui;
    bool scopeRunning;
};

#endif // MAINWINDOW_H
